#!/usr/bin/perl
# adds "-u named" to named invoke line in init script
#

open(ORIG, "< /etc/rc.d/init.d/named") || 
	die "Unable to open named init script\n";

while(<ORIG>) {
   $_ =~ s/daemon named/daemon named \-u named/g;
   # clear previous partial patch
   $_ =~ s/\-u named \-u named/\-u named/g;
   $new_stuff .= $_;
}
close(ORIG);
if($new_stuff) {
   open(NEW, "> /etc/rc.d/init.d/named") ||
   die "Unable to create new named init script\n";
   print NEW $new_stuff;
   close(NEW);
}
chmod 0755, '/etc/rc.d/init.d/named';    

